### Hierarchy

- AbstractMap
  - OpenStreetMap
  - GoogleMap
  - HereMap

## Index

### Constructors

- constructor

### Properties

- defaultMarkerIcon
- defaultSelectedMarkerIcon
- defaultZoom
- maxZoom
- minZoom
- spec

### Methods

- addMarkersToForm
- getCenter
- getMarkerIconSrc
- getSelectedMarkerIconSrc
- getZoom
- includeScripts
- init
- render
- resetAllMarkers
- setLabel
- setMarkersToValue
- wrapper
- getMarkersFromSrc

## Constructors

### Protected constructor

- new AbstractMap(spec: ISpecification): AbstractMap

- - Defined in lib/renderable/map/AbstractMap.ts:17

  #### Parameters

  - ##### spec: ISpecification

  #### Returns AbstractMap

## Properties

### defaultMarkerIcon

defaultMarkerIcon: string = "http://maps.google.com/mapfiles/ms/icons/red-dot.png"

- Defined in lib/renderable/map/AbstractMap.ts:16

### defaultSelectedMarkerIcon

defaultSelectedMarkerIcon: string = "http://maps.google.com/mapfiles/ms/icons/blue-dot.png"

- Defined in lib/renderable/map/AbstractMap.ts:17

### Abstract defaultZoom

defaultZoom: number

- Defined in lib/renderable/map/AbstractMap.ts:14

### Abstract maxZoom

maxZoom: number

- Defined in lib/renderable/map/AbstractMap.ts:13

### Abstract minZoom

minZoom: number

- Defined in lib/renderable/map/AbstractMap.ts:12

### spec

spec: ISpecification

- Defined in lib/renderable/map/AbstractMap.ts:10

## Methods

### addMarkersToForm

- addMarkersToForm(wrapper: INode, selectedMarkers: Array<any>): void

- - Defined in lib/renderable/map/AbstractMap.ts:88

  #### Parameters

  - ##### wrapper: INode

  - ##### selectedMarkers: Array<any>

  #### Returns void

### getCenter

- getCenter(): WayPoint

- - Defined in lib/renderable/map/AbstractMap.ts:41

  #### Returns WayPoint

### getMarkerIconSrc

- getMarkerIconSrc(): string

- - Defined in lib/renderable/map/AbstractMap.ts:31

  #### Returns string

### getSelectedMarkerIconSrc

- getSelectedMarkerIconSrc(): string

- - Defined in lib/renderable/map/AbstractMap.ts:32

  #### Returns string

### getZoom

- getZoom(): number

- - Defined in lib/renderable/map/AbstractMap.ts:34

  #### Returns number

### includeScripts

- includeScripts(scripts: Array<string>): Promise<unknown>

- - Defined in lib/renderable/map/AbstractMap.ts:97

  #### Parameters

  - ##### scripts: Array<string>

  #### Returns Promise<unknown>

### Abstract init

- init(wrapper: INode): HTMLElement

- - Defined in lib/renderable/map/AbstractMap.ts:27

  #### Parameters

  - ##### wrapper: INode

  #### Returns HTMLElement

### render

- render(className: string): HTMLElement

- - Defined in lib/renderable/map/AbstractMap.ts:29

  #### Parameters

  - ##### className: string

  #### Returns HTMLElement

### Abstract resetAllMarkers

- resetAllMarkers(): void

- - Defined in lib/renderable/map/AbstractMap.ts:25

  #### Returns void

### setLabel

- setLabel(text: string, wrapper: INode): void

- - Defined in lib/renderable/map/AbstractMap.ts:58

  #### Parameters

  - ##### text: string

  - ##### wrapper: INode

  #### Returns void

### Abstract setMarkersToValue

- setMarkersToValue(wrapper: INode): void

- - Defined in lib/renderable/map/AbstractMap.ts:23

  #### Parameters

  - ##### wrapper: INode

  #### Returns void

### wrapper

- wrapper(className: string): INode

- - Defined in lib/renderable/map/AbstractMap.ts:66

  #### Parameters

  - ##### className: string

  #### Returns INode

### Static getMarkersFromSrc

- getMarkersFromSrc(src: string): Promise<any>

- - Defined in lib/renderable/map/AbstractMap.ts:64

  #### Parameters

  - ##### src: string

  #### Returns Promise<any>

Generated using TypeDoc